/* LSDADecoder
Copyright (C) 2019  Pavel Cernohorsky

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.*/

#include <iostream>
#include <stdexcept>

#include "../TestLib/lib.h"

//------------------------------------------------------------------------------

int main(int /*argc*/, const char* /*argv*/[])
{
  try
  {
    getUserInput();
  }
  catch (const FileAccessException& ex)
  {
    std::cout << "FileAccessException while running: " << ex.what() << std::endl;
    return 1;
  }
  catch (const std::exception& ex)
  {
    std::cout << "Exception while running: " << ex.what() << std::endl;
    return 1;
  }
  return 0;
}
